import VisualizationInfo from './visualization-info'
import LocalStorage from './local-storage'


const updateSavedProject = {
	updateSessionData: function (item, timeStamp) {
    console.log(item, 'itemitemitem')
        let myObj = {}
        let selectedRoomDetails = VisualizationInfo.getSavedByTimeStamp('savedProjects', timeStamp)
        if (selectedRoomDetails?.products) {
          const { products } = selectedRoomDetails
          const valueExists = products.findIndex(obj =>
            Object.values(obj).includes(item.id)
          )
          if (valueExists === -1) {
            const keyExists = products.filter(obj => 'favourites' in obj)
            myObj.products = keyExists ? [item, ...keyExists] : [item]
          } else {
            const [element] = products.splice(valueExists, 1)
            myObj.products = [{ ...element, ...item }, ...products]
          }
        } else {
          myObj.products = [item]
        }
        const updatedRoomDetails = { ...selectedRoomDetails, ...myObj };
        const savedProjects = LocalStorage.get('savedProjects')
        
        if (savedProjects) {
          const updatedData = savedProjects.map(savedProject => {
            if (Object.keys(savedProject).toString() === timeStamp) {
              return {
                ...savedProject,
                [timeStamp]: updatedRoomDetails
              }
            }
            return savedProject
          })

          LocalStorage.set('savedProjects', updatedData);
          return selectedRoomDetails
        }
	},

  getSavedDataByTimeStamp: function (timeStamp) {
		let parseData = LocalStorage.get('savedProjects');
		if (parseData && parseData.length) {
			let returnData;
			parseData.forEach((savedProject, index) => {
				if (Object.keys(savedProject).toString() === timeStamp) {
					returnData = savedProject[timeStamp]
				}
			  });
			return returnData
		}
		return null;
	},

};

export default updateSavedProject;