import axios from 'axios';
import getHeaders from '@services/headersService';

const fetchProductsDataRequest = () => ({
  type: 'FETCH_PRODUCTS_DATA_REQUEST',
});

const fetchProductsDataSuccess = (data) => ({
  type: 'FETCH_PRODUCTS_DATA_SUCCESS',
  payload: data,
});

const fetchProductsDataFailure = (error) => ({
  type: 'FETCH_PRODUCTS_DATA_FAILURE',
  payload: error,
});

export const fetchProductsAPIData = (url) => {
  return async (dispatch) => {
      try {
          dispatch(fetchProductsDataRequest());
          await axios.get(url, { headers: getHeaders() })
          .then(response =>{
            dispatch(fetchProductsDataSuccess(response.data.data));
          })
          .catch(error => {
            dispatch(fetchProductsDataFailure(error.message));
          });
      } catch (error) {
          dispatch(fetchProductsDataFailure(error.message));
      }
  };
};

