import axios from 'axios';
import { getEndpointBaseURL } from "../services/environment";

export const generateRandomCode = () => {
    const fourDigitRandomNo = Math.floor(1000 + Math.random() * 9000);
    return fourDigitRandomNo;
}

export const isNumber = (item) => {
    let strtoNum = item*1;
    return (strtoNum !== 0) ? (!isNaN(strtoNum) && Number.isInteger(strtoNum)) : false;
}

export const getDataForRetrieveScene = async (inputData) => {
    const item = await axios.get(getEndpointBaseURL() + 'retrieveScene/' + inputData);
    return item.data;
}

export const convertDate = (date_) => {
  const date = new Date(Number(date_));
  const year = date.getFullYear();
  const month = String(date.getMonth() + 1).padStart(2, "0");
  const day = String(date.getDate()).padStart(2, "0");
  const hours = String(date.getHours()).padStart(2, "0");
  const minutes = String(date.getMinutes()).padStart(2, "0");

  const formattedDate = `${year}-${month}-${day}`;
  const formattedTime = `${hours}:${minutes}`;

  return formattedDate + " " + formattedTime;
};
